summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
index a1e8161..263ba2a 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -8,6 +8,14 @@ test -n "$srcdir" || srcdir=.
olddir=`pwd`
cd "$srcdir"
+GTKDOCIZE=`which gtkdocize`
+if test -z $GTKDOCIZE; then
+ echo "*** No GTK-Doc found, please install it ***"
+ exit 1
+else
+ gtkdocize || exit $?
+fi
+
ACLOCAL="${ACLOCAL-aclocal} $ACLOCAL_FLAGS" autoreconf -v -i
cd "$olddir"